reliability
probe load

# Verify Latency during Load Test

Verify the latency of responses during a load test for a given percentile

Run it now
View details

Type | probe
Module | chaosreliably.activities.load.probes
Name | run_load_test
Return | boolean

Usage

JSON

    {
      "name": "verify-latency-percentile-from-load-test",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosreliably.activities.load.probes",
        "func": "verify_latency_percentile_from_load_test",
        "arguments": {
          "lower_than": null
        }
      }
    }

YAML

    name: verify-latency-percentile-from-load-test
    provider:
      arguments:
        lower_than: null
      func: verify_latency_percentile_from_load_test
      module: chaosreliably.activities.load.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
lower_than | float | 0.2 | Yes | Lower Than | Latency must be lower than this value for the percentile below
percentile | string | p99 | No | Percentile | Percentile to verify
test_name | string | load test | No | Test Name | Name of the test that generated the result to verify

Signature

    def verify_latency_percentile_from_load_test(
            lower_than: float,
            percentile: str = 'p99',
            test_name: str = 'load test') -> bool:
        pass

## Related starters

- reliability
  action load

  ## `run_load_test`

  Run a load test against a URL
- reliability
  probe load

  ## `load_test_result_field_should_be`

  Reads a load test result and compares the field’s value to be equal to the expected given value.
- fault
  action load

  ## `Load Test via Proxy`

  Send traffic to an endpoint via a fault's proxy